#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "CurseAbilityAction.generated.h"

class UCurseAbilityCondition;

UCLASS(Blueprintable, Abstract, DefaultToInstanced, EditInlineNew)
class DBDKILLERABILITIES_API UCurseAbilityAction : public UObject
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	TArray<UCurseAbilityCondition*> _conditions;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _triggerOnAuthorityOnly;

public:
	UCurseAbilityAction();
};

FORCEINLINE uint32 GetTypeHash(const UCurseAbilityAction) { return 0; }
